=== blt/src/Makefile ===
# Generated automatically from Makefile.in by configure.
# ------------------------------------------------------------------------
# 	Makefile for normal version of BLT library
# ------------------------------------------------------------------------

# ------------------------------------------------------------------------
# 	C Compiler options 
# ------------------------------------------------------------------------

CC           	= gcc
CFLAGS  	= -O2 
DEFINES      	= 
DEF_BLTINIT	= -DBLT_LIBRARY=\"$(BLT_LIBRARY)\"
TOPDIR      	= /usr/local/blt
LIBDIR      	= /usr/local/blt/lib
BLT_LIBRARY  	= /usr/local/blt/lib/blt2.1

# ------------------------------------------------------------------------
# 	Directories containing Tcl and Tk include files and libraries
# ------------------------------------------------------------------------

TCL_INCLUDE   	= -I/usr/include/tcl
TK_INCLUDE    	= -I/usr/include/tcl
X_INCLUDE     	= -I/usr/X11R6/include
INCLUDES	= -I. $(TK_INCLUDE) $(TCL_INCLUDE) $(X_INCLUDE)

# ------------------------------------------------------------------------
# 	Don't edit anything beyond this point
# ------------------------------------------------------------------------

#N_OBJS		= bltTed.o
#N_SRCS		= bltTed.c

TK_3_OBJS	= bltBell.o bltCutbuffer.o
TK_3_SRCS	= bltBell.c bltCutbuffer.c

TK_4_OBJS	= bltTile.o tkButton.o tkFrame.o tkScrollbar.o
TK_4_SRCS	= bltTile.c tkButton.c tkFrame.c tkScrollbar.c

ORIG_OBJS 		= bltGraph.o bltGrAxis.o bltGrBar.o bltGrElem.o \
		  bltGrGrid.o bltGrHairs.o bltGrLegd.o bltGrLine.o \
		  bltGrMarker.o bltGrMisc.o bltGrPs.o \
        	  bltBgexec.o bltBitmap.o bltBusy.o \
		  bltDebug.o bltDragDrop.o bltHtext.o \
		  bltSpline.o bltTable.o bltVector.o bltWatch.o bltWinOp.o \
        	  bltInit.o bltInput.o bltList.o bltText.o bltUtil.o \
		  $(TK_4_OBJS) $(N_OBJS)

ORIG_SRCS 		= bltGraph.c bltGrAxis.c bltGrBar.c bltGrElem.c \
		  bltGrGrid.c bltGrHairs.c bltGrLegd.c bltGrLine.c \
		  bltGrMarker.c bltGrMisc.c bltGrPs.c \
        	  bltBgexec.c bltBitmap.c bltBusy.c \
		  bltDebug.c bltDragDrop.c bltHtext.c \
		  bltSpline.c bltTable.c bltVector.c bltWatch.c bltWin.c \
        	  bltInit.c bltInput.c bltList.c bltText.c bltUtil.c \
		  $(TK_4_SRCS) $(N_SRCS)

OBJS 		= bltBgexec.o bltBusy.o bltInput.o \
		  bltDragDrop.o bltInit.o bltList.o bltUtil.o

SRCS 		= bltBgexec.c bltBusy.c bltInput.c \
		  bltDragDrop.c bltInit.c bltList.c bltUtil.c

libname  	= libBLT.a
CC_SWITCHES	= $(CFLAGS) $(DEFINES) $(INCLUDES)
INSTALL  	= /usr/bin/install -c
INSTALL_DATA  	= ${INSTALL} -m 644
RANLIB   	= ranlib
SHELL    	= /bin/sh
AR       	= ar rc
RM       	= rm -f
LINT		= lint
LINTFLAGS	= -axhbn
srcdir 		= .

all: $(libname)

$(libname):  $(OBJS)
	$(RM) $@
	$(AR) $@ $(OBJS)
	$(RANLIB) $@

install: $(libname) install-dirs
	$(INSTALL_DATA) $(libname) $(LIBDIR)
	$(RANLIB) $(LIBDIR)/$(libname)

install-dirs:
	@for i in $(TOPDIR) $(LIBDIR) ; do \
	    if test ! -d $$i ; then \
		mkdir $$i ; \
	    fi ; \
        done

clean:
	$(RM) $(OBJS) $(libname) *.bak *\~ "#"* *pure* .pure*

lint:
	$(LINT) $(LINTFLAGS) $(DEFINES) $(INCLUDES) $(SRCS)

bltInit.o: bltInit.c
	$(CC) -c $(CC_SWITCHES) $(DEF_BLTINIT) $<

.c.o:
	$(CC) -c $(CC_SWITCHES) $<
