## tkdesk 1.0b4

=== libdesk/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Makefile for libdesk (part of TkDesk)
 #
 
-OBJECTS = init.o dsk_ls.o misc.o ot.o o_FileListbox.o tixImgXpm.o
+OBJECTS = init.o dsk_ls.o misc.o util.o ot.o o_FileListbox.o tixImgXpm.o
 
 LIBNAME = libdesk.a
