=== debian/changelog ===
tkdesk (2.0-13) experimental; urgency=medium

  * QA upload.

  * Fix FTBFS when building using GCC 15 (closes: #1098003).
  * Port to BLT 3.0.
  * Upload to experimental because of the freeze of trixie.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 07 Jun 2025 15:07:19 +0300

tkdesk (2.0-12) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.1.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 2.0-6.
  * Flag in d/control that root build is not needed.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Nov 2024 16:37:28 +0100

tkdesk (2.0-11) unstable; urgency=medium

  * QA upload.
  * Switch to Itcl 4.
  * Fix spelling error in a patch.
  * Bump Standards-Version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 20 Mar 2018 09:11:18 +0300

tkdesk (2.0-10) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0 (quilt).
  * Convert to dh build.
  * Update Standards-Version to 4.1.1.
    - remove obsolete menu file
    - switch priority from extra to optional
  * debian/control:
    - change Maintainer to QA group (see #688443).
    - add Homepage field
    - don't duplicate priority and section
    - remove ancient version restriction
  * Bump debhelper compatibility to 10.
  * Fix watch file. (Closes: #449841)
  * Fix spelling errors found by lintian.
  * Honour build flags (for dbgsym and hardening support).
  * Fix doc-base registration file.
  * Convert debian/copyright to machine-readable format.
    - remove documentation of itcl, which is  no longer included
  * Add patch for reproducible output of mkindex.
    Thanks to Alexis Bienvenüe for the patch. (Closes: #824567)
  * Correctly symlink files that are referenced in documentation.
    (Closes: #599381)
  * Add patch to support parallel building.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 03 Oct 2017 17:54:14 +0200

tkdesk (2.0-9.2) unstable; urgency=low

  * Non-maintainer upload.
  * Switched to Tcl/Tk 8.6 to work with newer BLT (closes: #753794).
  * Find the itclConfig.sh in its new multiarchified location.
  * Defined USE_INTERP_RESULT macro to build with Tcl 8.6.
  * Fixed link to the tkdesk documentation.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Jul 2014 09:15:08 +0400

tkdesk (2.0-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switched off components autoloading and added patch
    http://tkdesk.sourceforge.net/patches/tkdesk-2.0p2.patch by upstream
    to make tkdesk working with itcl3 version 3.3 or newer.
  * Switched to Tcl/Tk 8.5 to match changes in itcl3 and work with newer BLT
    (closes: #533061, #545590).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 30 Oct 2009 11:01:18 +0300

tkdesk (2.0-9) unstable; urgency=low

  * Throw a TCL_ERROR to prevent recursive calls to dskC_ls.  This
    prevents a core dump discovered in certain situations with Ubuntu and
    tkdesk 2.0-5.

 -- Daniel Martin <fizbin@debian.org>  Sun, 26 Aug 2007 14:22:54 -0400

tkdesk (2.0-8) unstable; urgency=low

  * Change TCL_INC_DIR usage to TCL_INCLUDE_SPEC.  This is apparently the
    proper way to include the Tcl/Tk headers; TCL_INC_DIR is only supposed
    to be used to include non-public headers.  As a side effect, this fixes
    the FTBFS caused by an upload of tcl8.4 that accidentally left this
    variable out. (closes: Bug#436331)

 -- Daniel Martin <fizbin@debian.org>  Tue, 07 Aug 2007 21:53:08 -0400

tkdesk (2.0-7) unstable; urgency=low

  * Integrate NMU patch (closes: Bug#392685)
  * Update menu file for new menu structure
  * Upgrade to debhelper compat level 5

 -- Daniel Martin <fizbin@debian.org>  Thu, 12 Jul 2007 13:40:00 -0400

tkdesk (2.0-6.1) unstable; urgency=low

  * NMU
  * Move man pages to /usr/share. Closes: #391697
  * Remove no longer correct and uselessly hardcoded path to tkdesk in menu
    file.
  * Fix menu file quoting.

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Oct 2006 16:10:01 -0400

tkdesk (2.0-6) unstable; urgency=low

  * Move everything out of /usr/X11R6 (X v7 compatibility)

 -- Daniel Martin <fizbin@debian.org>  Sat, 11 Jun 2005 12:01:23 -0500

tkdesk (2.0-5) unstable; urgency=low

  * Fix an off-by-one error on terminating a string which causes
    bizarre display errors when displaying file modes inside
    file lists.  Apparently the new gcc packs arrays together
    more closely when using -O2. (closes: Bug#339048)

 -- Daniel Martin <fizbin@debian.org>  Tue, 15 Nov 2005 01:39:10 -0500

tkdesk (2.0-4) unstable; urgency=low

  * Remove an extraneous declaration that causes compile problems
    on gcc 3.4. (closes: Bug#263738)

 -- Daniel Martin <fizbin@debian.org>  Wed,  2 Nov 2005 22:26:02 -0500

tkdesk (2.0-3) unstable; urgency=low

  * Move pauseme manpage to section 1x; fixes name collision
    issue with vifm package.

 -- Daniel Martin <fizbin@debian.org>  Thu, 10 Jun 2004 12:21:31 -0400

tkdesk (2.0-2) unstable; urgency=low

  * Rework compile options, fix calls to malloc/free to call
    ckalloc/ckfree.  Fixes core dump on startup (closes: Bug#294644)

 -- Daniel Martin <fizbin@debian.org>  Wed, 19 May 2004 15:45:42 -0400

tkdesk (2.0-1) unstable; urgency=low

  * New upstream release
  ** Uses tcl/tk 8.4 (closes: Bug#173166)
  ** Mouse wheel support
  * Improved .deb interaction (closes: Bug#36955)
  * Moved tkdesksh to different location, wrote "pauseme" manpage
    (closes: Bug#19423)

 -- Daniel Martin <fizbin@debian.org>  Sun, 18 Apr 2004 22:45:56 -0400

tkdesk (1.2-9) unstable; urgency=low

  * Reworked package to debhelperize it.
  * Reworked package gets md5sums correct. (closes: Bug#215932)
  * Package no longer needs debmake builds-depends. (closes: Bug#132468)
  * User config files no longer shipped in /etc/tkdesk (closes: Bug#132821)

