=== debian/control ===
Source: tkdesk
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: blt-dev (>= 3.0~1),
               debhelper (>= 10),
               tcl-itcl4-dev,
               tk-dev (>= 8.6.0),
Homepage: http://tkdesk.sourceforge.net/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/tkdesk
Vcs-Git: https://salsa.debian.org/debian/tkdesk.git

Package: tkdesk
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Tk/tcl based X11 Desktop/File manager
 TkDesk is a graphical file manager for Unix (esp. Linux) and the X
 Window System.
 .
 Compared with other file managers available, it offers the most
 complete set of file operations and services, plus gives the user the
 ability to configure most every aspect of TkDesk in a powerful way.
 .
 TkDesk has been influenced by various other systems and file managers,
 such as NeXT, for laying out the file browser windows, Apple Finder,
 for the idea of file annotations and, shock horror, Windows 95, for
 some other inspirations.
