=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
TKDESK_LIBRARY = /usr/lib/tkdesk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DUSE_INTERP_RESULT


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-blt=/usr/lib/$(DEB_HOST_MULTIARCH) --with-itcl=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build -- TKDESK_LIBRARY=$(TKDESK_LIBRARY)

override_dh_auto_install:
	dh_auto_install -- INSTALL_ROOT=$(CURDIR)/debian/tkdesk TKDESK_LIBRARY=$(TKDESK_LIBRARY)

override_dh_install:
	dh_install
	mv debian/tkdesk/$(TKDESK_LIBRARY)/configs debian/tkdesk/etc/tkdesk
	mv debian/tkdesk/$(TKDESK_LIBRARY)/doc debian/tkdesk/usr/share/doc/tkdesk/tkdesk-doc
	cd debian/tkdesk/usr/share/doc/tkdesk/tkdesk-doc && rm -f License ChangeLog Guide
